<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);





if (isset($_SESSION['adm_auth']) && $_SESSION['adm_auth']>$time || isset($_SESSION['captcha']) && isset($_POST['chislo']) && $_SESSION['captcha']==$_POST['chislo'])
{
$_SESSION['adm_auth']=$time+600;

if (isset($_GET['go']) && $_GET['go']!=null)
{
header('Location: '.base64_decode($_GET['go']));exit;
}


$set['title']='Админка';
include_once '../sys/inc/thead.php';
title();
err();
aut();


echo "<div class='menu'>\n";

if (user_access('adm_info'))echo "<a href='info.php'>Общая информация</a><br />\n";
if (user_access('lic_info'))echo "<a href='lic_info.php'>Информация о лицензии</a><br />\n";
if (user_access('adm_statistic'))echo "<a href='statistic.php'>Статистика сайта</a><br />\n";
if (user_access('adm_show_adm'))echo "<a href='administration.php'>Администрация</a><br />\n";
if (user_access('adm_log_read'))echo "<a href='adm_log.php'>Действия администрации</a><br />\n";
if (user_access('adm_menu'))echo "<a href='menu.php'>Главное меню</a><br />\n";
if (user_access('adm_rekl'))echo "<a href='rekl.php'>Реклама</a><br />\n";
if (user_access('adm_news'))echo "<a href='news.php'>Новости</a><br />\n";
if (user_access('adm_set_sys'))echo "<a href='settings_sys.php'>Настройки системы</a><br />\n";
if (user_access('adm_set_sys'))echo "<a href='settings_bbcode.php'>Настройки BBcode</a><br />\n";
if (user_access('adm_set_forum'))echo "<a href='settings_forum.php'>Настройки форума</a><br />\n";
if (user_access('adm_set_user'))echo "<a href='settings_user.php'>Пользовательские настройки</a><br />\n";
if (user_access('adm_accesses'))echo "<a href='accesses.php'>Привилегии групп пользователей</a><br />\n";
if (user_access('adm_banlist'))echo "<a href='banlist.php'>Список забаненых</a><br />\n";
if (user_access('adm_set_loads'))echo "<a href='settings_loads.php'>Настройки загрузок</a><br />\n";
if (user_access('adm_set_loads'))echo "<a href='loads_recount.php'>Пересчет загрузок</a><br />\n";
if (user_access('adm_set_chat'))echo "<a href='settings_chat.php'>Настройки чата</a><br />\n";


if (user_access('adm_set_foto'))echo "<a href='settings_foto.php'>Настройки фотогалереи</a><br />\n";




if (user_access('adm_forum_sinc'))echo "<a href='forum_sinc.php'>Синхронизация таблиц форума</a><br />\n";
if (user_access('adm_lib_repair'))echo "<a href='lib_repair.php'>Восстановление библиотеки</a><br />\n";

if (user_access('adm_ref'))echo "<a href='referals.php'>Рефералы</a><br />\n";

if (user_access('adm_ip_edit'))echo "<a href='opsos.php'>Редактирование IP операторов</a><br />\n";
if (user_access('adm_ban_ip'))echo "<a href='ban_ip.php'>Бан по IP адресу (диапазону)</a><br />\n";

if (user_access('adm_mysql'))echo "<a href='mysql.php'>MySQL запросы</a><br />\n";
if (user_access('adm_themes'))echo "<a href='themes.php'>Темы оформления</a><br />\n";





$opdirbase=@opendir(H.'sys/add/admin');
while ($filebase=@readdir($opdirbase))
if (eregi('\.php$',$filebase))
include_once(H.'sys/add/admin/'.$filebase);
closedir($opdirbase);


if ($license)
{
echo "<hr />\n";

if (user_access('lic_themes'))echo "<a href='lic_themes.php'>Темы с DCMS.su</a><br />\n";
if (user_access('lic_update'))echo "<a href='lic_update.php'>Обновление движка</a><br />\n";
if (user_access('adm_license_support'))echo "<a href='lic_support.php'>Служба поддержки</a><br />\n";

}
echo "</div>\n";

}
else
{

$set['title']='Защита от автоматических изменений';
include_once '../sys/inc/thead.php';
title();
err();
aut();
echo "<form method='post' action='?gen=$passgen&amp;".(isset($_GET['go'])?"go=$_GET[go]":null)."'>\n";

echo "<img src='/captcha.php?$passgen&amp;SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\nВведите число с картинки:<br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
echo "<input type='submit' value='Далее' />\n";
echo "</form>\n";
}

include_once '../sys/inc/tfoot.php';
?>